Bug 510236 - RHN Statellite generating broken updateinfo.xml
RHN Statellite generating broken updateinfo.xml
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Client (Show other bugs)
520
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Pazdziora
Red Hat Satellite QA List
:
Depends On:
Blocks: 462714
  Show dependency treegraph
 
Reported: 2009-07-08 09:04 EDT by Tomas Hoger
Modified: 2012-03-20 08:13 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-20 08:13:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Sample updateinfo file sectoin (3.38 KB, text/plain)
2009-07-08 09:13 EDT, Tomas Hoger
no flags Details

  None (edit)
Description Tomas Hoger 2009-07-08 09:04:48 EDT
Description of problem:
While inspecting updateinfo.xml file obtained form RHN Satellite 5.2.0, I've noticed that it lists files for different architectures.  For some errata, it does not even list files for system's architecture, which may result in incomplete results printed by yum-security plugin.

I've double checked updateinfo.xml from hosted, and it only lists files from system architecture and noarch (+ i686, as I was working on i386 system).

Version-Release number of selected component (if applicable):
5.2.0

Steps to Reproduce:

zcat /var/cache/yum/rhel-i386-server-5/updateinfo.xml.gz | xmllint --format - | grep -o 'arch="[^"]*"' | grep -v -e 'arch="i[356]86"' -e 'arch="noarch"' | sort -u

On system registered on Satellite, the output is:

arch="athlon"
arch="ia32e"
arch="ppc"
arch="ppc64"
arch="x86_64"


I get no output for the same command on system registered in hosted.
Comment 2 Tomas Hoger 2009-07-08 09:13:13 EDT
Created attachment 350929 [details]
Sample updateinfo file sectoin

Note no i386 package listed even though all files are listed for collection rhel-i386-server-5.
Comment 3 Jan Pazdziora 2012-03-15 10:40:20 EDT
With Satellite 5.4.1, I see

# zcat /var/cache/yum/rhel-i386-server-5/updateinfo.xml.gz | xmllint --format - | grep -o 'arch="[^"]*"' | sort -u
arch="i386"
arch="i686"
arch="noarch"
#

Can we assume this is fixed in latest Satellites?
Comment 5 Tomas Hoger 2012-03-20 07:35:54 EDT
I see no unexpected arches listed in updateinfo.xml.gz for i386 and x86_64 systems using recent satellite.  I'm happy to assume this got corrected in some version in between 5.2.0 and current 5.4.1.
Comment 6 Jan Pazdziora 2012-03-20 08:13:29 EDT
Thank you. Closing as CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.